import request from '@/utils/request'

// 查询锁开锁关阀门状态列表
export function listLock(query) {
  return request({
    url: '/pssr/lock/list',
    method: 'get',
    params: query
  })
}

// 查询锁开锁关阀门状态详细
export function getLock(id) {
  return request({
    url: '/pssr/lock/' + id,
    method: 'get'
  })
}

// 新增锁开锁关阀门状态
export function addLock(data) {
  return request({
    url: '/pssr/lock',
    method: 'post',
    data: data
  })
}

// 修改锁开锁关阀门状态
export function updateLock(data) {
  return request({
    url: '/pssr/lock',
    method: 'put',
    data: data
  })
}

//
export function updateLockBatch(data) {
  return request({
    url: '/pssr/lock/editBatch',
    method: 'put',
    data: data
  })
}



// 确认盲板
export function handleConfirmApproveLock(data) {
  return request({
    url: '/pssr/lock/confirmLock',
    method: 'put',
    data: data
  })
}

// 驳回锁开锁关
export function handleTurnDownLock(data) {
  return request({
    url: '/pssr/lock/turnDownLock',
    method: 'put',
    data: data
  })
}

// 删除锁开锁关阀门状态
export function delLock(id) {
  return request({
    url: '/pssr/lock/' + id,
    method: 'delete'
  })
}

// 导出锁开锁关阀门状态
export function exportLock(query) {
  return request({
    url: '/pssr/lock/export',
    method: 'get',
    params: query
  })
}
